GNU bug report logs - #26340
26.0.50; default font not applied

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "fr.poulet" <fr.poulet@HIDDEN>; merged with #24482, #25228; dated Sun, 2 Apr 2017 14:26:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 24482 25228 26340. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 26340 <at> debbugs.gnu.org:


Received: (at 26340) by debbugs.gnu.org; 3 Apr 2017 17:52:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 03 13:52:22 2017
Received: from localhost ([127.0.0.1]:59395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cv69O-0003ZS-Hk
	for submit <at> debbugs.gnu.org; Mon, 03 Apr 2017 13:52:22 -0400
Received: from mail-pg0-f54.google.com ([74.125.83.54]:33318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mano155@HIDDEN>) id 1cv69L-0003ZF-Tz
 for 26340 <at> debbugs.gnu.org; Mon, 03 Apr 2017 13:52:20 -0400
Received: by mail-pg0-f54.google.com with SMTP id x125so127282049pgb.0
 for <26340 <at> debbugs.gnu.org>; Mon, 03 Apr 2017 10:52:19 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=references:user-agent:from:to:cc:subject:in-reply-to:date
 :message-id:mime-version;
 bh=3WDc64I0zr38egEBn2MNQBPvw5zqewJbGlGF8zM67CU=;
 b=kh72ERWCx3GtQWiw+25bOSH/mLR427YvaazF9iMgca9n+ki9mmkBHEV6p7EPE1gpib
 YvHUwU2GDKwX64Nbg8HUDH8t6NsTO4shfXQ7xLvSQEUvUV8aq9Zr7a/YHEBGIY0bxrAC
 nMFVTAA0CH1w3JLxPnJeXU1OVs1ohfupPVYVTd/4FGZpOpxDN3FXxW2juak1g7r8SFvx
 R1aOy6W+4WiKbepzb7M75m0PmtenjNmwGE27DOC9tD/PuGUHRZlMAY4hXdLQcSaPklwD
 6kntiI367xPoWWygaYn4eitJjT+Nkc0T3Z0OMBONZO/9vLPGXtF0DAfYdqhysN9h4uZQ
 1L2A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:references:user-agent:from:to:cc:subject
 :in-reply-to:date:message-id:mime-version;
 bh=3WDc64I0zr38egEBn2MNQBPvw5zqewJbGlGF8zM67CU=;
 b=EPzFzjL6fcRpSz0g+Is1n3SYO0evjXKd121vbXiIcBxmUAjrd1VGyhcrU1vBjZAF58
 SlydX0i6Wvpj6Y1z3lVPlpgILcKhcyCxXZfLxDEkIXGcw0eHjNLRMEjP9WNGZoVIGB6B
 k1IlYy2OlhFInUxcPZ+PGRIYPN/HMyNV12VYkOFEReY9lQS6hhkf9sdIyZHyXiiDTsXa
 Pd/x0IIF3BcB/MMgK1+/u7bAUVAKXlyfwGvmO6OnWy11p1WdHRvRg1KttdXsnOJ2SZ7g
 GnARiahmig3QgqAomQBFocK5yKjo1nRdFKZeR+/EHB/TFaVRtkWBLvW9En5zh80qhXVb
 kRhA==
X-Gm-Message-State: AFeK/H1etwYoyUeIpjjK7164/SxmKT/97NEE6euKwwris4iy3NmADuFRVii6xX62IAhWLQ==
X-Received: by 10.98.158.71 with SMTP id s68mr19234331pfd.159.1491241933765;
 Mon, 03 Apr 2017 10:52:13 -0700 (PDT)
Received: from topd0g (c-73-118-158-137.hsd1.wa.comcast.net. [73.118.158.137])
 by smtp.gmail.com with ESMTPSA id
 t12sm27148602pfi.89.2017.04.03.10.52.13
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 03 Apr 2017 10:52:13 -0700 (PDT)
References: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
 <877f32yi3h.fsf@HIDDEN>
 <ac1c0dd7-30af-42ba-c0d4-c56a5ca72574@HIDDEN>
 <87mvbywoc3.fsf@HIDDEN>
User-agent: mu4e 0.9.19; emacs 26.0.50
From: Bruce V Chiarelli <mano155@HIDDEN>
To: npostavs@HIDDEN
Subject: Re: bug#26340: 26.0.50; default font not applied
In-reply-to: <87mvbywoc3.fsf@HIDDEN>
Date: Mon, 03 Apr 2017 10:52:12 -0700
Message-ID: <87h9258jlf.fsf@topd0g>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 26340
Cc: 26340 <at> debbugs.gnu.org, "fr.poulet" <fr.poulet@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)


npostavs@HIDDEN writes:


>> I did the change as you asked, but it didn't help. I also tried the workaround mentionned in the other bug:
>>
>> 	(defalias 'dynamic-setting-handle-config-changed-event 'ignore)
>>
>> and this one made it work (I removed your line).
>
> Thanks for confirming.  The reason my suggestion didn't work is because
> I accidentally posted the code that *causes* the bug instead of the code
> to fix it, oops!  I should have said
>
>     (define-key special-event-map [config-changed-event] 'ignore)
>
> as suggested in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25228#152.

For me, this workaround only helps to keep the customizations the first
frame when emacs starts. If I create a new frame with C-x 5 2, the
customized font is ignored in the new frame. Does this happen to anyone
else?

-Bruce




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.

Message received at 26340 <at> debbugs.gnu.org:


Received: (at 26340) by debbugs.gnu.org; 3 Apr 2017 02:28:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 02 22:28:54 2017
Received: from localhost ([127.0.0.1]:58000 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1curjh-0007L9-V1
	for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 22:28:54 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1curjg-0007Kx-5r
 for 26340 <at> debbugs.gnu.org; Sun, 02 Apr 2017 22:28:52 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1curjW-0002Md-DM
 for 26340 <at> debbugs.gnu.org; Sun, 02 Apr 2017 22:28:46 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.5 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:37606)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1curjW-0002MZ-9b; Sun, 02 Apr 2017 22:28:42 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2630
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1curjU-0000Wn-Di; Sun, 02 Apr 2017 22:28:41 -0400
Date: Mon, 03 Apr 2017 05:28:48 +0300
Message-Id: <83vaqmp6lb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: npostavs@HIDDEN
In-reply-to: <87mvbywoc3.fsf@HIDDEN>
 (npostavs@HIDDEN)
Subject: Re: bug#26340: 26.0.50; default font not applied
References: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
 <877f32yi3h.fsf@HIDDEN>
 <ac1c0dd7-30af-42ba-c0d4-c56a5ca72574@HIDDEN>
 <87mvbywoc3.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 26340
Cc: 26340 <at> debbugs.gnu.org, fr.poulet@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: npostavs@HIDDEN
> Date: Sun, 02 Apr 2017 16:23:40 -0400
> Cc: 26340 <at> debbugs.gnu.org
> 
> "fr.poulet" <fr.poulet@HIDDEN> writes:
> 
> > On 04/02/2017 04:55 PM, npostavs@HIDDEN wrote:
> >
> > I did the change as you asked, but it didn't help. I also tried the workaround mentionned in the other bug:
> >
> > 	(defalias 'dynamic-setting-handle-config-changed-event 'ignore)
> >
> > and this one made it work (I removed your line).
> 
> Thanks for confirming.  The reason my suggestion didn't work is because
> I accidentally posted the code that *causes* the bug instead of the code
> to fix it, oops!  I should have said
> 
>     (define-key special-event-map [config-changed-event] 'ignore)
> 
> as suggested in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25228#152.

How about adding the description of the problem and its solution to
etc/PROBLEMS?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.
Merged 25228 26340. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 26340 <at> debbugs.gnu.org:


Received: (at 26340) by debbugs.gnu.org; 2 Apr 2017 20:22:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 02 16:22:26 2017
Received: from localhost ([127.0.0.1]:57785 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cum14-0005PT-9W
	for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 16:22:26 -0400
Received: from mail-io0-f182.google.com ([209.85.223.182]:33368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1cum11-0005P9-UQ; Sun, 02 Apr 2017 16:22:24 -0400
Received: by mail-io0-f182.google.com with SMTP id f84so64474269ioj.0;
 Sun, 02 Apr 2017 13:22:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=c5aXm8MouIRR5IA8WLV9ZNMf3hMReMLYDTWnrcbYV4c=;
 b=kP4NqaR6HoCYVdWNHWeOkAQnprl+pYJk8fno4PqYveCtvrVECbKzTJFS35OqJUt7eM
 6T6WsJewizw9WT6LwPR+wagBNuxav9wl//aAyMmCkDeGtnssalCPj3uSROa2tfFcRSia
 FtwIi3LS1WY0GQjknDqxLYZPAIYMCd/YMDJvHuKshAfIyPOUCjhjU/G15/nYOZF/HGes
 Zs0FzNfTk9FNk7bHYZc6K0bdum1oZjxmy8UGk/efQ0rzStk9ldYBBi3DoDjx7DMlQlit
 /qIEH4OFHeHDWg44qkaWn0W2Ss7WFUH0skAKd6DMLpWhvFHzeG8wK5EsxCrJ2QKPAtnF
 lguw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=c5aXm8MouIRR5IA8WLV9ZNMf3hMReMLYDTWnrcbYV4c=;
 b=c/yhkrwg1oSPQDvViAM1CiRmGj44uDRbZzJKG0QHzPXRh6eAS2V0cX+rxQ36aGqRWD
 TV595duB5bzSdODxnt6DN6sOrV916/rgipdxIHPyXFB/4Ii4abp3bztgpUwZVuN1jJYv
 5f3XvdSkp6mawFm1JybbuBByY04A/Z6WVR/FHj7cn/zlTYWa6oKmxyAnjyn6DTOu8tEU
 3x75XdHZw5AYWbfDDfMys+gV9o038D+cW/miovwoYnn3sMp3u25qCOhRaT2OHEwo4oj0
 lK1cxQnxh8emPxztKi95jrzu8TJZzEpg2oRHlOkXPg5vQg443c3jWOuRETuRfAqgOfuX
 x9qw==
X-Gm-Message-State: AFeK/H2j5vTuTqKnaF5m8qATT0VrIfiOIIwMCGhkM02v/i7LlUi1QaFhdftjeoAPlyN92Q==
X-Received: by 10.107.134.146 with SMTP id q18mr13331484ioi.227.1491164538389; 
 Sun, 02 Apr 2017 13:22:18 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id e20sm6165670itc.3.2017.04.02.13.22.17
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 02 Apr 2017 13:22:17 -0700 (PDT)
From: npostavs@HIDDEN
To: "fr.poulet" <fr.poulet@HIDDEN>
Subject: Re: bug#26340: 26.0.50; default font not applied
References: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
 <877f32yi3h.fsf@HIDDEN>
 <ac1c0dd7-30af-42ba-c0d4-c56a5ca72574@HIDDEN>
Date: Sun, 02 Apr 2017 16:23:40 -0400
In-Reply-To: <ac1c0dd7-30af-42ba-c0d4-c56a5ca72574@HIDDEN> (fr poulet's
 message of "Sun, 2 Apr 2017 21:42:43 +0200")
Message-ID: <87mvbywoc3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 26340
Cc: 26340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

merge 26340 25228
quit

"fr.poulet" <fr.poulet@HIDDEN> writes:

> On 04/02/2017 04:55 PM, npostavs@HIDDEN wrote:
>
> I did the change as you asked, but it didn't help. I also tried the workaround mentionned in the other bug:
>
> 	(defalias 'dynamic-setting-handle-config-changed-event 'ignore)
>
> and this one made it work (I removed your line).

Thanks for confirming.  The reason my suggestion didn't work is because
I accidentally posted the code that *causes* the bug instead of the code
to fix it, oops!  I should have said

    (define-key special-event-map [config-changed-event] 'ignore)

as suggested in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25228#152.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.

Message received at 26340 <at> debbugs.gnu.org:


Received: (at 26340) by debbugs.gnu.org; 2 Apr 2017 19:42:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 02 15:42:48 2017
Received: from localhost ([127.0.0.1]:57767 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1culOi-0004PV-MM
	for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 15:42:48 -0400
Received: from smtpoutz299.laposte.net ([178.22.154.199]:60121
 helo=smtpoutz2.laposte.net)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fr.poulet@HIDDEN>) id 1culOg-0004PM-9W
 for 26340 <at> debbugs.gnu.org; Sun, 02 Apr 2017 15:42:47 -0400
Received: from smtpoutz2.laposte.net (localhost [127.0.0.1])
 by lpn-prd-vrout011 (Postfix) with ESMTP id 2C97952A7B6
 for <26340 <at> debbugs.gnu.org>; Sun,  2 Apr 2017 21:42:45 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=mail0;
 t=1491162165; bh=bHbrPjlUeh/Q9LxL2cS+KIRMEAZgdR7BZ1F+VgwGBos=;
 h=Subject:To:References:Cc:From:Date:In-Reply-To;
 b=mMGbFWbTDFwyhXEZEIeeuUwdq1JDGQFGfJxk9WiPWStUSxeRaJzqMUAzaFYh5kV7b
 bkWcLacqJZLTxUNSCPNRLvjzPbxL4UFU2DGcQZwWy4xMqYvKv9ugJ6tf5Eue60qmoh
 ns5LL14rGdf1IVTFptOkKBBk16e/WDrcLQHrGD/I5c8msvUZg4Buyi3zaSBEmnaaCd
 yqzyuzrDvYgXKVSOE3hnxudbWkqhl1flS4UvADn4TwT0er2drXyV3e4Mak1qPkzmdr
 QSTyCutjpgr/Hd2ZL/SNlpavfoYdCcXT/XeXoFbChfwhyH2AQfYvj201AI+q9LbJbY
 QsXff2IckGpgQ==
Received: from smtpoutz2.laposte.net (localhost [127.0.0.1])
 by lpn-prd-vrout011 (Postfix) with ESMTP id 0F3D452B81E
 for <26340 <at> debbugs.gnu.org>; Sun,  2 Apr 2017 21:42:45 +0200 (CEST)
Received: from lpn-prd-vrin004 (lpn-prd-vrin004.prosodie [10.128.63.5])
 by lpn-prd-vrout011 (Postfix) with ESMTP id 063E652A7B6
 for <26340 <at> debbugs.gnu.org>; Sun,  2 Apr 2017 21:42:45 +0200 (CEST)
Received: from lpn-prd-vrin004 (localhost [127.0.0.1])
 by lpn-prd-vrin004 (Postfix) with ESMTP id E897B71129A
 for <26340 <at> debbugs.gnu.org>; Sun,  2 Apr 2017 21:42:44 +0200 (CEST)
Received: from [192.168.1.19] (vll06-1-82-234-164-52.fbx.proxad.net
 [82.234.164.52])
 by lpn-prd-vrin004 (Postfix) with ESMTPA id 8EB8E711296;
 Sun,  2 Apr 2017 21:42:44 +0200 (CEST)
Subject: Re: bug#26340: 26.0.50; default font not applied
To: npostavs@HIDDEN
References: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
 <877f32yi3h.fsf@HIDDEN>
From: "fr.poulet" <fr.poulet@HIDDEN>
Message-ID: <ac1c0dd7-30af-42ba-c0d4-c56a5ca72574@HIDDEN>
Date: Sun, 2 Apr 2017 21:42:43 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <877f32yi3h.fsf@HIDDEN>
Content-Type: multipart/alternative;
 boundary="------------89498E375894FDF6A8AE4C2D"
X-VR-SrcIP: 82.234.164.52
X-VR-FullState: 0
X-VR-Score: 0
X-VR-Cause-1: gggruggvucftvghtrhhoucdtuddrfeelhedrleehgddugedvucetufdoteggodetrfdotffvucfrrhho
X-VR-Cause-2: fhhilhgvmecunfetrffquffvgfenuceurghilhhouhhtmecuhedttdenucenucfjughrpefuvfhfhffk
X-VR-Cause-3: ffgfgggjtgesrgdtreertdefheenucfhrhhomhepfdhfrhdrphhouhhlvghtfdcuoehfrhdrphhouhhl
X-VR-Cause-4: vghtsehlrghpohhsthgvrdhnvghtqeenucfkphepkedvrddvfeegrdduieegrdehvdenucfrrghrrghm
X-VR-Cause-5: pehmohguvgepshhmthhpohhuthdphhgvlhhopegludelvddrudeikedruddrudelngdpihhnvghtpeek
X-VR-Cause-6: vddrvdefgedrudeigedrhedvpdhmrghilhhfrhhomhepfhhrrdhpohhulhgvtheslhgrphhoshhtvgdr
X-VR-Cause-7: nhgvthdprhgtphhtthhopehnphhoshhtrghvshesuhhsvghrshdrshhouhhrtggvfhhorhhgvgdrnhgv
X-VR-Cause-8: th
X-VR-AvState: No
X-VR-State: 0
X-VR-State: 0
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 26340
Cc: 26340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

This is a multi-part message in MIME format.
--------------89498E375894FDF6A8AE4C2D
Content-Type: text/plain; charset=windows-1252; format=flowed
Content-Transfer-Encoding: quoted-printable

On 04/02/2017 04:55 PM, npostavs@HIDDEN wrote:
> Yes, I think this is a dup of #25228 "custom-set-faces from init file
> ~/.emacs ignored".  Does adding
>
>    (define-key special-event-map [config-changed-event]
>      'dynamic-setting-handle-config-changed-event)
>
> to your .emacs help?
>

Hi, thanks for the quick reply. It looks indeed like a duplicate of #2522=
8, sorry for not properly checking.

I did the change as you asked, but it didn't help. I also tried the worka=
round mentionned in the other bug:

	(defalias 'dynamic-setting-handle-config-changed-event 'ignore)

and this one made it work (I removed your line).

Just to provide complete information, as it seems the problem is related =
to Gconf and Gnome stuff, I am using Xfce4 for my X11 environment.


Thanks,

Fran=E7ois


--------------89498E375894FDF6A8AE4C2D
Content-Type: text/html; charset=windows-1252
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta content=3D"text/html; charset=3Dwindows-1252"
      http-equiv=3D"Content-Type">
  </head>
  <body text=3D"#000000" bgcolor=3D"#FFFFFF">
    <div class=3D"moz-cite-prefix">On 04/02/2017 04:55 PM,
      <a class=3D"moz-txt-link-abbreviated" href=3D"mailto:npostavs@users=
=2Esourceforge.net">npostavs@HIDDEN</a> wrote:<br>
    </div>
    <blockquote cite=3D"mid:877f32yi3h.fsf@HIDDEN"
      type=3D"cite">Yes, I think this is a dup of #25228 "custom-set-face=
s
      from init file
      <pre wrap=3D"">~/.emacs ignored".  Does adding

  (define-key special-event-map [config-changed-event]
    'dynamic-setting-handle-config-changed-event)

to your .emacs help?

</pre>
    </blockquote>
    <p><br>
    </p>
    <p>Hi, thanks for the quick reply. It looks indeed like a duplicate
      of #25228, sorry for not properly checking.</p>
    <p>I did the change as you asked, but it didn't help. I also tried
      the workaround mentionned in the other bug:</p>
    <pre class=3D"message">	(defalias 'dynamic-setting-handle-config-chan=
ged-event 'ignore)</pre>
    <p>and this one made it work (I removed your line).</p>
    <p>Just to provide complete information, as it seems the problem is
      related to Gconf and Gnome stuff, I am using Xfce4 for my X11
      environment.</p>
    <p><br>
    </p>
    <p>Thanks,</p>
    <p>Fran=E7ois<br>
    </p>
  </body>
</html>

--------------89498E375894FDF6A8AE4C2D--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.

Message received at 26340 <at> debbugs.gnu.org:


Received: (at 26340) by debbugs.gnu.org; 2 Apr 2017 14:54:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 02 10:54:16 2017
Received: from localhost ([127.0.0.1]:57613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cugtT-0002M4-Rw
	for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 10:54:16 -0400
Received: from mail-io0-f181.google.com ([209.85.223.181]:36127)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1cugtS-0002Ln-44
 for 26340 <at> debbugs.gnu.org; Sun, 02 Apr 2017 10:54:14 -0400
Received: by mail-io0-f181.google.com with SMTP id l7so62306057ioe.3
 for <26340 <at> debbugs.gnu.org>; Sun, 02 Apr 2017 07:54:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=xfmdDccFMwp3WO1IRHXgSxwEq/eGEbv2oiV5pAgxru4=;
 b=HqoA/t8fcCUyCaMNzgnyiPuvNyXS9MJV31/CJxZDYnpalCAArWEAuxIQr6YVFdFLhj
 c2K65GSeXmAINElqwUMh11GYQRyOwl9J/EZiJIoP7V6GvRW/vSl+8ckLldTAvjtXMKTC
 GutC0SCAhZrKj9xxpxYErP3DokXyj67LxUqq843+SeEUXOzvG7YnPVZiXIl/YWG1myRc
 ynG5zX6ezd/o7ii6mcG5cnZo3Y8dEo/IPg1XRz6cw4apj6lKVySXleT5fGbAKtgfJ4Sf
 JIJK9pfJcYwdes7nf0EHiNMMt2YOnCI4R3403/8vcKUIjbWHyMrlg4DW7/EOwYrcgDY5
 rDtw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=xfmdDccFMwp3WO1IRHXgSxwEq/eGEbv2oiV5pAgxru4=;
 b=QrT8lavfpKWfCkyU9MRb2w1FyZsJRsIFwNc1gxtAOswIT1SIZ71oFOCO4hVLAksIda
 wi4FFiZMmcw1c9fOxVOtfdC+WDEm0mVZ4qn4JeVFVcq7yqEfESz0e6cwjAgvON8qfi87
 wmYRvHc9RibXd7qSd63xkB3T0W42LzZhbnwMNAHCdOJuI1DferN9boycEp36D6IM40yr
 +MteuYCLdfhSMV1RKGizBILdsXtfVRqmPRVqHCrsqfS/xFVK7XF/kFbBAPWpUs3JcxeN
 AQqSY44Syeww42pt6jQSL8hG9KW840ZSG/k60d9RX3OoxlXrgAxGCnxQnqFIr8tXY4zl
 vNLg==
X-Gm-Message-State: AFeK/H1u3MFVXI0J3iBkn/GEgya0a0m+GpZtWa4O0vvoWWJMd8KfLPmrNckPz5Mm5EYgSA==
X-Received: by 10.107.189.68 with SMTP id n65mr12247247iof.154.1491144848454; 
 Sun, 02 Apr 2017 07:54:08 -0700 (PDT)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id o14sm6297915ioe.49.2017.04.02.07.54.07
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 02 Apr 2017 07:54:08 -0700 (PDT)
From: npostavs@HIDDEN
To: "fr.poulet" <fr.poulet@HIDDEN>
Subject: Re: bug#26340: 26.0.50; default font not applied
References: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
Date: Sun, 02 Apr 2017 10:55:30 -0400
In-Reply-To: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN> (fr poulet's
 message of "Sun, 2 Apr 2017 10:32:56 +0200")
Message-ID: <877f32yi3h.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.1 (--)
X-Debbugs-Envelope-To: 26340
Cc: 26340 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

"fr.poulet" <fr.poulet@HIDDEN> writes:

>        - the default font configuration is NOT applied as expected
>          (though the X11 window starts large and is resized as if the
>          configured font was applied then another default one overloads
>          it - just a guess though)

Yes, I think this is a dup of #25228 "custom-set-faces from init file
~/.emacs ignored".  Does adding

  (define-key special-event-map [config-changed-event]
    'dynamic-setting-handle-config-changed-event)

to your .emacs help?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2017 14:25:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 02 10:25:13 2017
Received: from localhost ([127.0.0.1]:57592 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cugRM-0001er-K0
	for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 10:25:13 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37664)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fr.poulet@HIDDEN>) id 1cuax7-00061i-Ec
 for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 04:33:38 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fr.poulet@HIDDEN>) id 1cuax1-0005pm-2X
 for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 04:33:32 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:54057)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <fr.poulet@HIDDEN>)
 id 1cuax0-0005pi-V9
 for submit <at> debbugs.gnu.org; Sun, 02 Apr 2017 04:33:30 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:56864)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <fr.poulet@HIDDEN>) id 1cuawz-0001RE-6d
 for bug-gnu-emacs@HIDDEN; Sun, 02 Apr 2017 04:33:30 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <fr.poulet@HIDDEN>) id 1cuawu-0005n2-8Z
 for bug-gnu-emacs@HIDDEN; Sun, 02 Apr 2017 04:33:29 -0400
Received: from smtpoutz300.laposte.net ([178.22.154.200]:53965
 helo=smtp.laposte.net)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <fr.poulet@HIDDEN>)
 id 1cuawt-0005bc-TL
 for bug-gnu-emacs@HIDDEN; Sun, 02 Apr 2017 04:33:24 -0400
Received: from smtp.laposte.net (localhost [127.0.0.1])
 by lpn-prd-vrout012 (Postfix) with ESMTP id 4A3548D42E
 for <bug-gnu-emacs@HIDDEN>; Sun,  2 Apr 2017 10:32:57 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=laposte.net; s=mail0;
 t=1491121977; bh=nssrr0wy5R+H3vr0Ii+zbjdC2H+YHwlz0M/tjLTxRnw=;
 h=To:From:Subject:Date;
 b=Z2hVZhs4zAFF0hcKt1pxyS6/RcdSLHMcwPYGRDWFInlCwpB+bP/17IUJdm1AoA4hs
 P1hsHs7IuhTS4MoMxXC4nU5mlgj+zzuKp9tyJx4PjGgldnAC6+mKt0yKgbGFYurbg/
 Fs/1PGVtCB6LPbOj4SzXTDdHCINPgsPBlBuHBmTCL7HnwghlROkL8LsPr6DlWVJ/5Q
 jGRRFg2HPMZnuI2xcKcD8HYBJzEUXZNI7f8stVawFl0InTMbwRg+1u80hObjWkGh42
 DQpIiZIH5giayJmHHH+4hPT4J7bf4LwVBgKqDDXIsCnoYLkfS0wCGOeQhuUI6ZevYy
 1yh9f8kVqRzRw==
Received: from lpn-prd-vrin003 (lpn-prd-vrin003.prosodie [10.128.63.4])
 by lpn-prd-vrout012 (Postfix) with ESMTP id 44CCA8CC64
 for <bug-gnu-emacs@HIDDEN>; Sun,  2 Apr 2017 10:32:57 +0200 (CEST)
Received: from lpn-prd-vrin003 (localhost [127.0.0.1])
 by lpn-prd-vrin003 (Postfix) with ESMTP id 35EA248F141
 for <bug-gnu-emacs@HIDDEN>; Sun,  2 Apr 2017 10:32:57 +0200 (CEST)
Received: from [192.168.1.19] (vll06-1-82-234-164-52.fbx.proxad.net
 [82.234.164.52])
 by lpn-prd-vrin003 (Postfix) with ESMTPA id 06E0848F0F0
 for <bug-gnu-emacs@HIDDEN>; Sun,  2 Apr 2017 10:32:56 +0200 (CEST)
To: bug-gnu-emacs@HIDDEN
From: "fr.poulet" <fr.poulet@HIDDEN>
Subject: 26.0.50; default font not applied
Message-ID: <67743178-fa7d-7173-9270-806b0f07b995@HIDDEN>
Date: Sun, 2 Apr 2017 10:32:56 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-VR-SrcIP: 82.234.164.52
X-VR-FullState: 0
X-VR-Score: 0
X-VR-Cause-1: gggruggvucftvghtrhhoucdtuddrfeelhedrleehgddthecutefuodetggdotefrodftvfcurfhrohhf
X-VR-Cause-2: ihhlvgemucfntefrqffuvffgnecuuegrihhlohhuthemucehtddtnecunecujfgurhepvffhuffkffgf
X-VR-Cause-3: gggtgfesthejredttdefleenucfhrhhomhepfdhfrhdrphhouhhlvghtfdcuoehfrhdrphhouhhlvght
X-VR-Cause-4: sehlrghpohhsthgvrdhnvghtqeenucfkphepkedvrddvfeegrdduieegrdehvdenucfrrghrrghmpehm
X-VR-Cause-5: ohguvgepshhmthhpohhuthdphhgvlhhopegludelvddrudeikedruddrudelngdpihhnvghtpeekvddr
X-VR-Cause-6: vdefgedrudeigedrhedvpdhmrghilhhfrhhomhepfhhrrdhpohhulhgvtheslhgrphhoshhtvgdrnhgv
X-VR-Cause-7: thdprhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhg
X-VR-AvState: No
X-VR-State: 0
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x (no
 timestamps) [generic] [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 02 Apr 2017 10:25:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

        Hello, here is a little problem I have, I don't really
        know how to fix or work around properly in my conf. I am running
        emacs in X11.
        - (optional) using an new empty login account to ensure no
          configuration exists (no .emacs, .emacs.d, X11, fonts or
          whatever)
        - starting emacs
        - selecting a default font in menu: Options/Set Default font...
        - font is correctly applied
        - saving the options in menu: Options/Save Options
        - status bar indicates ~/.emacs is created
        - exiting emacs
        - the file .emacs (included below) is as expected
        - starting emacs again
        - the default font configuration is NOT applied as expected
          (though the X11 window starts large and is resized as if the
          configured font was applied then another default one overloads
          it - just a guess though)
        - doing M-x load-file with .emacs applies the correct font
        - I added a (message "...") in the .emacs file and with the
          --debug-init, I can see the file is correctly loaded, no errors
          mentionned

          The .emacs file :
          (message "yolo")

          (custom-set-variables
           ;; custom-set-variables was added by Custom.
           ;; If you edit it by hand, you could mess it up, so be careful.
           ;; Your init file should contain only one such instance.
           ;; If there is more than one, they won't work right.
           )
          (custom-set-faces
           ;; custom-set-faces was added by Custom.
           ;; If you edit it by hand, you could mess it up, so be careful.
           ;; Your init file should contain only one such instance.
           ;; If there is more than one, they won't work right.
           '(default ((t (:family "Bitstream Vera Sans Mono" :foundry "Bits" :slant normal :weight normal :height 120 :width normal)))))

           This problem already exists in the default emacs version in
           my linux distro (Arch Linux, emacs 25.1-4). The version I used
           here was built from git (Arch Linux AUR, emacs-git 26.0.50.128822-1)


In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.10)
  of 2017-04-02 built on pc19
Repository revision: a184a7edc58e1e053aa317a0f162df7e225597e1
Windowing system distributor 'The X.Org Foundation', version 11.0.11903000
System Description:    Arch Linux

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
  'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
  --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
  --with-sound=alsa --with-xft --with-modules --with-x-toolkit=gtk3
  --without-gconf --with-gsettings 'CFLAGS=-march=native -O2 -pipe
  -fstack-protector-strong' CPPFLAGS=-D_FORTIFY_SOURCE=2
  LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11 MODULES LIBSYSTEMD

Important settings:
   value of $LANG: en_US
   locale-coding-system: iso-latin-1-unix

Major mode: Lisp Interaction

Minor modes in effect:
   tooltip-mode: t
   global-eldoc-mode: t
   electric-indent-mode: t
   mouse-wheel-mode: t
   tool-bar-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   line-number-mode: t
   transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message puny seq byte-opt subr-x gv
bytecomp byte-compile cl-extra help-mode cconv cl-loaddefs pcase cl-lib
dired dired-loaddefs format-spec rfc822 mml easymenu mml-sec
password-cache epa derived epg epg-config gnus-util rmail rmail-loaddefs
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils time-date mule-util tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 96870 7564)
  (symbols 48 20186 1)
  (miscs 40 50 114)
  (strings 32 17653 4543)
  (string-bytes 1 564399)
  (vectors 16 14656)
  (vector-slots 8 483309 4287)
  (floats 8 48 101)
  (intervals 56 284 297)
  (buffers 976 11))

-- 





Acknowledgement sent to "fr.poulet" <fr.poulet@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#26340; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 17 Jul 2017 02:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.